fop 1.1

## org.apache.fop.render.ps.extensions
Class PSPageTrailerCodeBefore

    java.lang.Object
      org.apache.fop.render.ps.extensions.PSExtensionAttachment
          org.apache.fop.render.ps.extensions.PSPageTrailerCodeBefore

All Implemented Interfaces:
  ExtensionAttachment, org.apache.xmlgraphics.util.XMLizable

    public class PSPageTrailerCodeBefore

extends PSExtensionAttachment

Field Summary
`protected static java.lang.String` `ELEMENT` The element name

Fields inherited from class org.apache.fop.render.ps.extensions.PSExtensionAttachment
`CATEGORY, content`

Constructor Summary
`PSPageTrailerCodeBefore()` Constructor
`PSPageTrailerCodeBefore(java.lang.String content)` Default constructor

Method Summary
`protected java.lang.String` `getElement()`

Methods inherited from class org.apache.fop.render.ps.extensions.PSExtensionAttachment
`getCategory, getContent, getType, setContent, toSAX, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ELEMENT

    protected static final java.lang.String ELEMENT

  The element name

  See Also:
    Constant Field Values

Constructor Detail

### PSPageTrailerCodeBefore

    public PSPageTrailerCodeBefore(java.lang.String content)

  Default constructor

  Parameters:
    `content` - the actual comment

### PSPageTrailerCodeBefore

    public PSPageTrailerCodeBefore()

  Constructor

Method Detail

### getElement

    protected java.lang.String getElement()

  Specified by:
    `getElement` in class `PSExtensionAttachment`
  Returns:
    element name

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.